Version 7.75 and higher is compatible with Windows Server 2008.
Version 7.82.104.0 and higher is compatible with Windows Server 2008, Windows Server 2008 R2, and Windows Server 2008 R2 SP1.

Review the system requirements for more information.
 

Note: If you use Faculty Access for the Web or NetClassroom, refer to How to Install Internet Information Services 7 for use with Faculty Access for the Web and NetClassroom on a Windows 2008 Server.